org.apache.fop.fonts.type1

## Class Type1SubsetFile.BytesNumber

- java.lang.Object
- - org.apache.fop.fonts.type1.Type1SubsetFile.BytesNumber

- Enclosing class:
    Type1SubsetFile

      public static final class Type1SubsetFile.BytesNumber
      extends Object

  A class used to store the last number operand and also it's size in bytes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BytesNumber(int number, int numBytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getNumber()`
    `int` | `getNumBytes()`
    `void` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytesNumber

          public BytesNumber(int number,
                             int numBytes)

  - ### Method Detail

    - #### getNumber

          public int getNumber()

    - #### getNumBytes

          public int getNumBytes()

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

Copyright © 2023 Apache Software Foundation. All rights reserved.